Forum Clubic

[PHP-resolu]PhpMyAdmin est alergique à une entrée - Il m'aime plus ?

Salut, je rencontre des problèmes avec mon PhpMyAdmin 2.7.0-pl2 installé sur mon serveur local. Voici le problème : j’ai quatre enregistrements dans une table, lorsque je liste les enregistrement, aucun problème. Lorsque j’en modifie un, toujours aucun problème sauf pour UN SEUL d’entre eux. Voici le problème en images :

[http://img356.imageshack.us/img356/5749/phpmyadmin16mj.th.jpg[/img][/url] http://img356.imageshack.us/img356/2743/phpmyadmin20lb.th.jpg [url=http://img356.imageshack.us/my.php?image=phpmyadmin30wq.jpg][img]http://img356.imageshack.us/img356/6294/phpmyadmin30wq.th.jpg](http://img356.imageshack.us/my.php?image=phpmyadmin16mj.jpg)

Alors j’ai bien essayé de supprimer le premier et de l’insérer de nouveau mais toujours la même chose.
Je me suis donc intéressé aux erreurs php. Le problème est qu’une ligne plante et fait planter le reste (headers already sent).
Voici les lignes 12 à 15.

    require_once('./libraries/common.lib.php');
    require_once('./libraries/ob.lib.php');
    if ($GLOBALS['cfg']['OBGzip']) {
        $GLOBALS['ob_mode'] = PMA_outBufferModeGet();

Bon voilà, bien étrange tout ça…

Comme ca rapidement je vois 2 solutions théorique :
1- Mettre a jour phpmyadmin ^^
2- modifier la ligne 14 par :

if (array_key_exists(‘cfg’, $GLOBALS) && $GLOBALS[‘cfg’][‘OBGzip’]) {
$GLOBALS[‘ob_mode’] = PMA_outBufferModeGet();

Pour la modif de la ligne, j’avais tenté en mettant quelque chose de similiaire, puis en mettant ceci exactement mais d’autres erreurs surviennent plus loin.
Sinon pour la MAJ, c’est déjà une version récente, vais quand même vérifier…

EDIT : je mets à jour de 2.7 à 2.8

Mise à jour effectuée, ça marche. :paf: